RT_TBX_URGENT_TIMED(8)

NAME
rt_tbx_urgent_until, rt_tbx_urgent_timed - send message unconditionally with high priority and timeout control

SYNOPSIS
#include <rtai_sched.h>

int rt_tbx_urgent_until(TBX *tbx, void *msg, int msg_size, RTIME time);
int rt_tbx_urgent_timed(TBX *tbx, void *msg, int msg_size, RTIME delay);

DESCRIPTION
rt_tbx_urgent_until and rt_tbx_urgent_timed send a message msg of msg_size bytes to the typed mailbox tbx. The caller will be blocked until all bytes of message is inserted, the timeout expires or an error occurs. The message is inserted in the head of the queue so it will be immediately read before the other messages already present in the mailbox. time is an absolute value. delay is relative to the current time.

RETURN VALUES
0 is returned in case of message regularly sent, otherwise msg_size is returned in case of timeout. On failure a negative value is returned as described below.

ERRORS
-EINVAL tbx points to an invalid typed mailbox. -EMSGSIZE msg_size is bigger than the size of the entire mailbox.